Status: Closed Start date: 06 Aug 2023

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Improving Estimated time: 0.99 hour

Target version: CoCoALib-0.99850 Spent time: 0.95 hour

Description

The fn MakeTermOrdMat should give a better error mesg if the input matrix is not non-negative:

/**/ W := RowMat([1,0,-1,1]);

/**/ MakeTermOrdMat(W);

--> ERROR: Ordering must be a term-ordering (i.e. all indets>1)

--> [CoCoALib] MakeTermOrdMat

--> /**/ MakeTermOrdMat(W);

-->      ^^^^^^^^^^^^^^^^^

Related issues:

Related to CoCoALib - Bug #1789: GradingMat with negative weights  should com... Closed 12 Mar 2024

History

#1 - 06 Aug 2023 11:27 - John Abbott

Source code is in MatrixForOrdering.C

I do wonder if the call to MakeNonNeg is safe: why is the loop on line 133 safe (couldn't PosRow go out of bounds?)

UPDATE the problem with PosRow possibly going out of bounds has been "resolved" by adding a comment that it is assumed that there are no zero

cols

#2 - 03 Oct 2023 14:36 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Now the behaviour is as follows:

/**/ W := RowMat([1,0,-1,1]);

/**/ MakeTermOrdMat(W);

--> ERROR: Topmost non-zero entry in each col must be positive

--> [CoCoALib] MakeTermOrdMat

--> /**/ MakeTermOrdMat(W);

-->      ^^^^^^^^^^^^^^^^^

Is this Good enough?
#3 - 22 Jan 2024 10:26 - John Abbott

- Subject changed from MakTermOrdMat: improve error mesg to MakeTermOrdMat: improve error mesg

#4 - 22 Jan 2024 10:28 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- % Done changed from 10 to 60

#5 - 13 Mar 2024 20:47 - John Abbott

- Related to Bug #1789: GradingMat with negative weights  should complain (or deal with them properly!!) added

#6 - 13 Mar 2024 21:16 - John Abbott

- Status changed from Feedback to Closed

- Assignee set to John Abbott

- % Done changed from 60 to 100

- Estimated time set to 0.99 h
